#ifdef GL_ES
precision highp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform sampler2D u_tex_full_colour;
uniform vec4 u_offset_rect;

void main()
{
  vec4 mask = texture2D(u_texture, v_texCoord);
  
  vec2 fullColCoord = v_texCoord;
  fullColCoord.x = (v_texCoord.x * u_offset_rect.z) + u_offset_rect.x;
  fullColCoord.y = (v_texCoord.y * u_offset_rect.w) + u_offset_rect.y;
  vec4 frag = texture2D(u_tex_full_colour, fullColCoord) * v_fragmentColor;
  
  frag.a = mask.r * frag.a;
  gl_FragColor = frag;
}